addpath('mex&mfile')
addpath('data')

%% Brain1
load('Brain.mat')

plot_mesh(v',f',mean_curv);

% Alternative plotting method without texture
%  figure;trisurf(f,v(:,1),v(:,2),v(:,3)); 
%  axis equal; view([0 90]);

title('Input Mesh')

vmap = sphericalmap(v,f);

plot_mesh(vmap',f',mean_curv); view([5 -20]);

% Alternative plotting method with color
%  figure;trisurf(f,vmap(:,1),vmap(:,2),vmap(:,3)); 
%  axis equal; view([5 -20]);

title('Spherical Conformal Parameterization of the Input Mesh')

%% Example 2 (Chinese Lion)

load('Lion.mat')

plot_mesh(v',f',mean_curv); view([0 90]);
title('Input Mesh')

vmap = sphericalmap(v,f);

plot_mesh(vmap',f',mean_curv); view([-70 0]);
title('Spherical Conformal Parameterization of the Input Mesh')

%% Example 3 (Bulldog)

load('Bulldog.mat')

plot_mesh(v',f',mean_curv); view([0 90]);
title('Input Mesh')

vmap = sphericalmap(v,f);

plot_mesh(vmap',f',mean_curv); view([-110 -50]);
title('Spherical Conformal Parameterization of the Input Mesh')

%% Example 4 (Max Planck)

load('MaxPlanck.mat')

plot_mesh(v',f',mean_curv); colormap('Hot'); view([-180,-80]);
title('Input Mesh')

vmap = sphericalmap(v,f);

plot_mesh(vmap',f',mean_curv); colormap('Hot'); view([160 -20]);
title('Spherical Conformal Parameterization of the Input Mesh')

